Download it now!
Bug 48067 - [SVG] path d="M 50 120 L 430 120" opened as a 6 points polygon
Summary: [SVG] path d="M 50 120 L 430 120" opened as a 6 points polygon
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import SVG-Open
  Show dependency treegraph
 
Reported: 2012-03-29 15:32 UTC by Valek Filippov
Modified: 2019-07-05 02:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
W3C SVG test suite "painting-stroke-04-t" (3.74 KB, image/svg+xml)
2012-03-29 15:32 UTC, Valek Filippov
Details
simplifier file for analysis (475 bytes, image/svg+xml)
2015-10-26 12:04 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-03-29 15:32:41 UTC
Created attachment 59245 [details]
W3C SVG test suite "painting-stroke-04-t"

Attached file has two parallel lines. LO opens it as two polygons.
Comment 1 sasha.libreoffice 2012-06-27 01:02:13 UTC
Thanks for bugreport
Link to site:
http://www.w3.org/Graphics/SVG/Test/20110816/harness/htmlObject/painting-stroke-04-t.html

reproduced in 3.3.4 on Fedora in both File->Open and Insert->Picture
reproduced in 3.5.4 and 3.6.beta1 only in File->Open
Comment 2 QA Administrators 2015-09-04 02:49:59 UTC Comment hidden (obsolete)
Comment 3 Xisco Faulí 2015-10-26 12:04:54 UTC
Created attachment 119965 [details]
simplifier file for analysis

This issue is still present in

Version: 5.0.2.2
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: es-ES (es_ES)

on Windows 7
Comment 4 Xisco Faulí 2015-10-26 12:05:11 UTC
I take this
Comment 5 Robinson Tryon (qubit) 2015-12-09 18:52:45 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-10-30 08:33:58 UTC Comment hidden (obsolete)
Comment 7 Xisco Faulí 2018-06-20 16:41:15 UTC
Still reproducible in

Version: 6.2.0.0.alpha0+
Build ID: 370a30b6acc5b99b6046440f6b5f4f3f5f9f4b1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 8 Armin Le Grand 2018-07-04 13:05:12 UTC
In C:\lo\work01\svgio\source\svgreader\svgstyleattributes.cxx in method SvgStyleAttributes::add_stroke there is a comment:

                            // todo: Handle getStrokeDashOffset()

Thus - missing feature ;-)
Comment 9 QA Administrators 2019-07-05 02:45:28 UTC
Dear Valek Filippov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug